unit uMessages;
{$INCLUDE 'Plugin.inc'}

interface

type
  TMessages = (
    MNoLngStringDefined = -1,
    //
    MTitle = 0,
    //
    MOK,
    MCancel,
    MYes,
    MNo,
    MRetry,
    MAbort,
    MOverwrite,
    MSkip,
    MSkipAll,
    //
    MExceptionOccurredIn,
    //
    MFileListDescription,
    MFileListDescriptionShort,
    MUnsupportedPanel,
    MFailedToOpenEditor,
    MFailedToLocateEditor,
    MFailedToLoadFileList,
    MSourceFileNotFound,
    MCantOverwriteDirectory,
    MFailedToRename,
    MFailedToRenameTo,
    MFailedToUpdateFileDescription,
    MFailedToUpdateFileDescriptionFile,
    MFailedToUpdateFileDescriptionDescription,
    MFailedToUpdateFileDescriptionError,
    MKeySelectDestinationFileNames,
    MKeySelectDestinationFileNamesLong,
    MKeyJumpToDestinationFileName,
    MKeyJumpToDestinationFileNameLong,
    MKeyJumpToDestinationFileExt,
    MKeyJumpToDestinationFileExtLong,
    MKeySmartJumpToBegin,
    MKeySmartJumpToBeginLong,
    MKeySmartJumpToEnd,
    MKeySmartJumpToEndLong,
    MKeyDeleteTillExtension,
    MKeyDeleteTillExtensionLong,
    //
    MTinyHelpOption,
    MSelectRenamedFilesOption,
    MDisableInternalHotkeysOption,
    MSelectDestinationFilenameOption,
    MCheckUpdateDescriptionsOption,
    MCursorMovementOption,
    MCursorMovementOption_MinimizeScrolling,
    MCursorMovementOption_PrioritizeSource,
    MCursorMovementOption_PrioritizeDestination,
    MCursorMovementOption_MaximumDestination,
    MSmartEndBehaviorOption,
    MSmartEndBehaviorOption_ExtStartLineEnd,
    MSmartEndBehaviorOption_ExtStartExtEnd,
    MSmartEndBehaviorOption_ExtEndLineEnd,
    MDescriptionFilesOption,
    //
    MInvalidMacroParameter,
    // These must be at the end!! They are not expected to be translated
    MDummyLastString
  );

function GetMsg(MsgID: TMessages): string;

implementation

uses
  {$INCLUDE 'DelphiFarUnits.inc'} ;

function GetMsg(MsgID: TMessages): string;
begin
  if MsgID = MNoLngStringDefined then
    Result := ''
  else
    Result := TFarPlugin.Instance.GetLangString(TIntPtr(MsgID));
end;

end.
